Subject: Re: bug#24218: 25.1.50; server-name, server-socket-dir and daemon start through, systemd socket

From: Matthew Leach <[email-masked]>
Date: Mon, 12 Feb 2018 14:24:06 +0000

Paul Eggert <[email-masked]> writes:

> Matthew Leach wrote:
>> Paul Eggert <[email-masked]> writes:
>>
>>> On 01/09/2018 11:53 AM, Matthew Leach wrote:
>>>> May I suggest `internal--daemon-sockname'?
>>>
>>> Yes, that sounds good. Can you prepare a patch along those lines?
>>
>> Sure, please see the attached patch series.
>
> Thanks, but aren't there some more places where the variable needs to
> be renamed to internal--daemon-sockname?

Oops - I missed an additional `-' on the variable name.

> Also, I would rather not document it in the Emacs Lisp reference
> manual, as it is an internal detail that outside code shouldn't depend
> on. 

That sounds fine; I wasn't aware that internal variables shouldn't be
documented in the Emacs List Reference Manual.

> Proposed further patch attached (it's the last of the attachments,
> which contain all the patches for this bug).

This last patch looks good to me.

Thanks,
-- 
Matt